glibmm: Glib::PropertyProxy_ReadOnly< T > Class Template Reference

glibmm 2.51.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::PropertyProxy_ReadOnly< T > Class Template Reference

See PropertyProxy(). More...

`#include <glibmm/propertyproxy.h>`

Inheritance diagram for Glib::PropertyProxy_ReadOnly< T >:
[legend]

## Public Types
using | PropertyType = T

## Public Member Functions
| PropertyProxy_ReadOnly (const ObjectBase* obj, const char* name)
PropertyType | get_value () const
| Get the value of this property. More...
| operator PropertyType () const
Public Member Functions inherited from Glib::PropertyProxy_Base
| PropertyProxy_Base (ObjectBase* obj, const char* property_name)
| PropertyProxy_Base (const PropertyProxy_Base& other)
SignalProxyProperty | signal_changed ()
| This signal will be emitted when the property changes. More...
ObjectBase* | get_object () const
const char* | get_name () const

## Additional Inherited Members
Protected Member Functions inherited from Glib::PropertyProxy_Base
void | set_property_ (const Glib::ValueBase& value)
void | get_property_ (Glib::ValueBase& value) const
void | reset_property_ ()
Protected Attributes inherited from Glib::PropertyProxy_Base
ObjectBase* | obj_
const char* | property_name_

## Detailed Description

### template<class T>
class Glib::PropertyProxy_ReadOnly< T >

See PropertyProxy().

This property can be read, but not written, so there is no set_value() method.

## Member Typedef Documentation

template <class T >

using Glib::PropertyProxy_ReadOnly< T >::PropertyType = T

## Constructor & Destructor Documentation

template <class T >

Glib::PropertyProxy_ReadOnly< T >::PropertyProxy_ReadOnly | ( | const ObjectBase* | obj,
|  | const char * | name
| ) |  |
| inline

## Member Function Documentation

template <class T >

PropertyType Glib::PropertyProxy_ReadOnly< T >::get_value | ( |  | ) | const

Get the value of this property.

Returns
  The current value of the property.

template <class T >

Glib::PropertyProxy_ReadOnly< T >::operator PropertyType | ( |  | ) | const
| inline